<html>
<head>
<title>LOD - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">LOD</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for LOD:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__LOD.gif" border="0" alt="" usemap="#group____LOD"/>
<map name="group____LOD" id="group____LOD">
<area shape="rect" id="node1" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DistanceLodStrategy.html">Ogre::DistanceLodStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Level of detail strategy based on distance from camera.  <a href="classOgre_1_1DistanceLodStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MovableObjectLodChangedEvent.html">Ogre::MovableObjectLodChangedEvent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct containing information about a lod change event for movable objects.  <a href="structOgre_1_1MovableObjectLodChangedEvent.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">Ogre::EntityMeshLodChangedEvent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct containing information about a mesh lod change event for entities.  <a href="structOgre_1_1EntityMeshLodChangedEvent.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">Ogre::EntityMaterialLodChangedEvent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct containing information about a material lod change event for entities.  <a href="structOgre_1_1EntityMaterialLodChangedEvent.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html">Ogre::LodListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A interface class defining a listener which can be used to receive notifications of lod events.  <a href="classOgre_1_1LodListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Strategy for determining level of detail.  <a href="classOgre_1_1LodStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manager for lod strategies.  <a href="classOgre_1_1LodStrategyManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchMesh.html">Ogre::PatchMesh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch specialisation of <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>.  <a href="classOgre_1_1PatchMesh.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>.  <a href="classOgre_1_1PatchMeshPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A surface which is defined by curves of some kind to form a patch, e.g.  <a href="classOgre_1_1PatchSurface.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Level of detail strategy based on pixel count approximation from bounding sphere projection.  <a href="classOgre_1_1PixelCountLodStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html">Ogre::BitArray</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class reduces the complexity of the geometry it is given.  <a href="classOgre_1_1ProgressiveMesh.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard&lt; T &gt;</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
HardwareBufferLockGuard<br class="typebreak"/>
&lt; HardwareVertexBufferSharedPtr &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__LOD.html#gab97b2e1a8ca761f39bc66875f1637dc9">Ogre::VertexBufferLockGuard</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
HardwareBufferLockGuard<br class="typebreak"/>
&lt; HardwareIndexBufferSharedPtr &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__LOD.html#ga13e9b503047c41c3b984d1722d7a85c2">Ogre::IndexBufferLockGuard</a></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga13e9b503047c41c3b984d1722d7a85c2"></a><!-- doxytag: member="Ogre::IndexBufferLockGuard" ref="ga13e9b503047c41c3b984d1722d7a85c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef HardwareBufferLockGuard&lt;HardwareIndexBufferSharedPtr&gt; <a class="el" href="group__LOD.html#ga13e9b503047c41c3b984d1722d7a85c2">Ogre::IndexBufferLockGuard</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00410">410</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="gab97b2e1a8ca761f39bc66875f1637dc9"></a><!-- doxytag: member="Ogre::VertexBufferLockGuard" ref="gab97b2e1a8ca761f39bc66875f1637dc9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef HardwareBufferLockGuard&lt;HardwareVertexBufferSharedPtr&gt; <a class="el" href="group__LOD.html#gab97b2e1a8ca761f39bc66875f1637dc9">Ogre::VertexBufferLockGuard</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00409">409</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
